package com.njzscloud.supervisory.route.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.njzscloud.common.mp.support.PageParam;
import com.njzscloud.common.mp.support.PageResult;
import com.njzscloud.supervisory.route.pojo.OrderRouteDetailEntity;

import java.util.List;

/**
 * 订单路线详情管理
 */
public interface OrderRouteDetailService extends IService<OrderRouteDetailEntity> {

    /**
     * 新增
     */
    void add(OrderRouteDetailEntity detailEntity);

    /**
     * 修改
     */
    void modify(OrderRouteDetailEntity detailEntity);

    /**
     * 删除
     */
    void del(List<Long> ids);

    /**
     * 详情
     */
    OrderRouteDetailEntity detail(Long id);

    /**
     * 分页查询
     */
    PageResult<OrderRouteDetailEntity> paging(PageParam pageParam, OrderRouteDetailEntity detailEntity);

}

